#pragma once

#include "CoreMinimal.h"
#include "RewardTrackTierItemClicked.generated.h"

class UCoreButtonWidget;

UDELEGATE()
DECLARE_DYNAMIC_MULTICAST_DELEGATE_ThreeParams(FRewardTrackTierItemClicked, int32, tier, UCoreButtonWidget*, selectedReward, int32, index);
